EMP_SERVER(6)

NAME
emp_server - Empire server

SYNOPSIS
emp_server [ -dhps ] [ -D datadir ] [ -e configfile ] [ name ]

DESCRIPTION
emp_server is a demon which listens to the Empire port for players connecting to the game. When a player connects, a thread is created for that player within the server. For more information on the game of Empire, see the info pages within the game.

OPTIONS

-d  Debug mode. This will prevent the server from forking itself into the background. It will also cause the server to dump core if it crashes. You must run with this flag if you are running emp_server from within a debugger.

-h  Help. Print a usage line showing the command line options.

-p  Lwp Print mode. This is used for debugging lwp-threads.

-s  Lwp stack check mode. This will report if any of the lwp thread stack spaces overflow. It forces lwp print mode on.

-D datadir
    causes the server to use the data files in datadir

-e configfile
    causes the server to use the game configuration specification in configfile (by default, the file "econfig" in the data directory is used)

name
    This argument does nothing. It is used by scripts to locate the server to kill it.

BUGS
Please report all bugs to the Wolfpack <wolfpack@wolfpackempire.com>

AUTHORS
Dave Pare, Jeff Bailey, Thomas Ruschak, Ken Stevens and Steve McClure
 are principle authors. The list of secondary authors is too long to mention.